summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-csharp-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-4')
-rwxr-xr-xgettext-tools/tests/xgettext-csharp-436
1 files changed, 36 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-4 b/gettext-tools/tests/xgettext-csharp-4
new file mode 100755
index 0000000..5cca144
--- /dev/null
+++ b/gettext-tools/tests/xgettext-csharp-4
@@ -0,0 +1,36 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Tests for C# plural keyword support
+
+cat <<EOF > xg-cs-4.cs
+class TestCase {
+ public static void Main (String[] args) {
+ GetPluralString("test 1", "plural test");
+ MyPluralString (context, "I've 1", "you've lost");
+ }
+}
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --keyword=MyPluralString:2,3 \
+ -d xg-cs-4.tmp xg-cs-4.cs || exit 1
+LC_ALL=C tr -d '\r' < xg-cs-4.tmp.po > xg-cs-4.po || exit 1
+
+cat <<EOF > xg-cs-4.ok
+msgid "test 1"
+msgid_plural "plural test"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "I've 1"
+msgid_plural "you've lost"
+msgstr[0] ""
+msgstr[1] ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-cs-4.ok xg-cs-4.po
+result=$?
+
+exit $result